Skip site navigation (1) Skip section navigation (2)

Re: BUG #5062: 8.4.1 compile fails on debian can't find libdl

From: Dimitri Fontaine <dfontaine(at)hi-media(dot)com>
To: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
Cc: "philip wright" <zphw(at)de1(dot)uga(dot)duke(dot)edu>, pgsql-bugs(at)postgresql(dot)org
Subject: Re: BUG #5062: 8.4.1 compile fails on debian can't find libdl
Date: 2009-09-18 19:44:51
Message-ID: m2y6oc6nrg.fsf@hi-media.com (view raw or flat)
Thread:
Lists: pgsql-bugs
Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us> writes:

> "philip wright" <zphw(at)de1(dot)uga(dot)duke(dot)edu> writes:
>> Description:        8.4.1 compile fails on debian can't find libdl
>
> Our Debian packager would certainly have complained before now if PG
> didn't build on Debian.  I suspect that you have forgotten to install
> some needed support files.  Does Debian have the equivalent of -devel
> subpackages?  If so you're probably missing whatever -devel package
> goes with libdl.

debian provides friendly package building tools:

  http://packages.debian.org/source/sid/postgresql-8.4

  # install all build dependancies for postgresql-8.4
  apt-get build-dep postgresql-8.4

  # build it with debian defaults etc
  apt-get source -b postgresql-8.4

  # or only get the sources
  apt-get source postgresql-8.4

If you want to tweak the debian options choices, see apt-build.

And if the problem is related to building client or server tools for
postgresql, then you have the -devel kind of packages:

  apt-get install postgresql-server-dev-8.4 libpq-dev

Regards,
-- 
dim

In response to

Responses

pgsql-bugs by date

Next:From: pwrightDate: 2009-09-19 01:40:36
Subject: Re: BUG #5062: 8.4.1 compile fails on debian can't find libdl
Previous:From: Tom LaneDate: 2009-09-18 17:15:14
Subject: Re: BUG #5064: not-null constraints is not inherited

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group